#include <bits/stdc++.h>
#define ll long long

const ll mod = 10e9+7;

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    ll x, y;
    cin >> x >> y;

    stack<int> res;
    while(x > 0ll && y > 0ll) {
        int cX = x % 10;
        int cY = y % 10;

        if(cX > cY) res.push(cX);
        else if(cX < cY) res.push(cY);
        else {
            res.push(cX);
            res.push(cY);
        }

        x /= 10; y /= 10;
    }

    while(x > 0) {
        res.push(x % 10);
        x /= 10;
    }

    while(y > 0) {
        res.push(y % 10);
        y /= 10;
    }

    while(!res.empty()) {
        cout << res.top();
        res.pop();
    }
    return 0;
}